Valorant API Unofficial docs
API Reference AccountXP
GET

Account XP

Get the account level, XP, and XP history for the current player. This endpoint only works with the authenticated player's PUUID.

Internal name AccountXP_GetPlayer Server PD · shard Auth Bearer + Entitlements
GET https://pd.{shard}.a.pvp.net/account-xp/v1/players/{puuid}
Try this request in the browser with your own values

Headers

X-Riot-ClientPlatform string required
Value {client platform}— Base64-encoded client platform JSON
X-Riot-ClientVersion string required
Value {client version}— The current Valorant client version
X-Riot-Entitlements-JWT string required
Value {entitlement token}— From the Entitlements Token or Entitlement endpoint
Authorization string required
Value Bearer {auth token}— From the Entitlements Token endpoint or Riot auth

URL parameters

shard enum required

na, pbe, eu, ap or kr: depends on where the account was created.

napbeeuapkr
How to get it

The shard is dependent on where the Riot account was created.
There are 5 shards:

Shard Region(s)
na latam, br, na
pbe na
eu eu
ap ap
kr kr
Obtaining locally:

The shard can be found in the ShooterGame log (%LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log ) when it's used in an endpoint url.
Example regex capturing region and shard: https://glz-(.+?)-1.(.+?).a.pvp.net

Obtaining remotely:

The shard can be found from using a lookup table with the region. To find the region, use the Riot Geo endpoint with the ID and auth tokens from Cookie Reauth

puuid string · uuid required
A player's UUID

Other variables

client platform Base64-encoded client platform JSON.
Details

A string representing the platform of the client. Base-64 encoded JSON with the following fields:

{
    "platformType": "PC",
    "platformOS": "Windows",
    "platformOSVersion": "10.0.26200.1.256.64bit",
    "platformChipset": "Unknown"
}
ewoJInBsYXRmb3JtVHlwZSI6ICJQQyIsCgkicGxhdGZvcm1PUyI6ICJXaW5kb3dzIiwKCSJwbGF0Zm9ybU9TVmVyc2lvbiI6ICIxMC4wLjI2MjAwLjEuMjU2LjY0Yml0IiwKCSJwbGF0Zm9ybUNoaXBzZXQiOiAiVW5rbm93biIKfQ== is a value that works.

client version The current Valorant client version.
Details

The version of the Valorant client. This can be obtained in a number of ways:

  • Parsing the ShooterGame log at %LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log
  • Using the Sessions endpoint
  • Using the third-party RadiantConnect version endpoint (data.riot_client_version )
  • Using the third-party Versions endpoint
Sessions
entitlement token From the Entitlements Token or Entitlement endpoint.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely using Riot auth and the Entitlement endpoint
Entitlements Token
auth token From the Entitlements Token endpoint or Riot auth.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Authentication

Response

Version number
Subject string · uuid

Player UUID

Progress object
Show nested attributes Hide nested attributes 2
Level number
XP number
History array[object]
Show nested attributes Hide nested attributes 7
ID string · uuid

Match ID

MatchStart string

Date in ISO 8601 format

StartProgress object
Show nested attributes Hide nested attributes 2
Level number
XP number
EndProgress object
Show nested attributes Hide nested attributes 2
Level number
XP number
XPDelta number
XPSources array[object]
Show nested attributes Hide nested attributes 2
ID enum
"time-played""match-win""first-win-of-the-day"
Amount number
XPMultipliers array[any]
LastTimeGrantedFirstWin string

Date in ISO 8601 format

NextTimeFirstWinAvailable string

Date in ISO 8601 format